<div class="card m-3">
    <h6 class="card-header">Search information</h6>
    <div class="card-body">
        <form [formGroup]="searchForm" (ngSubmit)="onSubmit()">
            <div class="form-group">
                <label>Server</label>
                <mat-select formControlName="server" class="form-control" multiple>
                    <mat-option *ngFor="let ser of servers" [value]="ser.name">{{ser.value}}</mat-option>
                </mat-select>
                <div *ngIf="submitted && f.server.errors" class="invalid-feedback">
                    <div *ngIf="f.server.errors.required">server is required</div>
                </div>
            </div>
            <div class="form-group">
                <label>Key word</label>
                <input type="text" formControlName="keyWord" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.keyWord.errors }" />
                <div *ngIf="submitted && f.keyWord.errors" class="invalid-feedback">
                    <div *ngIf="f.keyWord.errors.required">keyWord is required</div>
                </div>
            </div>
            <div class="form-group">
                <label>Path</label>
                <input type="url" formControlName="path" class="form-control" [ngClass]="{ 'is-invalid': submitted && f.path.errors }" />
                <div *ngIf="submitted && f.path.errors" class="invalid-feedback">
                    <div *ngIf="f.path.errors.required">path is required</div>
                </div>
            </div>
            <div class="text-center">
                <button class="btn btn-primary mr-1">Search</button>
                <button class="btn btn-secondary" type="reset" (click)="onReset()">Cancel</button>
            </div>
        </form>
    </div>
</div>